<?php
require 'error.php';
require 'config.inc.php';
require 'db.php';
require 'function.php';

try
{
	$sql = "SELECT
				t.term_id AS id,
				t.name AS name
			FROM 8_terms AS t
			INNER JOIN 8_term_taxonomy AS tx ON t.term_id = tx.term_id
			WHERE
				tx.taxonomy = 'category'";
	
	$stmt = $db->prepare ($sql);
	
	$stmt->execute ();
	
	$array = $stmt->fetchAll (PDO::FETCH_ASSOC);
	
	array_walk_recursive ($array, 'clean');
	
	echo json_encode ($array);
}
catch (PDOException $e)
{
	throw new TechnicalException ('Database communication error!', NULL, $e);
}